import { LoadingController, AlertController, ToastController } from 'ionic-angular';
import { Injectable } from '@angular/core';
import { Http,Response, Headers, RequestOptions} from '@angular/http';

import { AppService } from '../service/appHttpService';

@Injectable()
export class ActivityStatisticService { 

    constructor(
        public http: Http, 
        public loadingCtrl: LoadingController,
        public appService: AppService,) { } 

    //未读通知统计
    myNoticeNotreadCount(callback?){
        this.appService.ObserverHttpPost("/wisdomgroup/modules/notice/getNotReadNotice",null)
        .subscribe((res: Response) => {
          let data = res.json();            
          callback(data == null ? "[]" : data);
          }, error => {        
            this.appService.alert('网络异常！');  
          }   
        );
    }
    //尚未报备统计
    myNotdoPremanagerCount(callback?){
        this.appService.ObserverHttpPost("/wisdomgroup/modules/premanager/findMyNotdoPremanager",null)
        .subscribe((res: Response) => {
          let data = res.json();            
          callback(data == null ? "[]" : data);
          }, error => {        
            this.appService.alert('网络异常！');  
          }   
        );
    }

}